# Fix Plan

Fix plan request endpoints

## Request fix plan

> Requests a fix plan for a given SBOM. The client should poll this endpoint\
> until meta\_data.overall\_status becomes "available".<br>

```json
{"openapi":"3.0.3","info":{"title":"Lineaje Fix Plan Workflow API","version":"1.0.0"},"tags":[{"name":"Fix Plan","description":"Fix plan request endpoints"}],"servers":[{"url":"https://lineaje-gpt-service.v2.prod.veedna.com","description":"GPT Service"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FixPlanRequest":{"type":"object","required":["query","sbom_id"],"properties":{"query":{"type":"string"},"sbom_id":{"type":"string","description":"SBOM identifier captured from the projects API"}}},"FixPlanResponse":{"type":"object","properties":{"meta_data":{"$ref":"#/components/schemas/FixPlanMetaData"}}},"FixPlanMetaData":{"type":"object","properties":{"plan_details":{"type":"array","items":{"$ref":"#/components/schemas/PlanDetail"}},"overall_status":{"type":"string","description":"Poll until this becomes available"}}},"PlanDetail":{"type":"object","properties":{"type":{"type":"string"},"vuln_fixed":{"type":"array","items":{"type":"string"}},"efforts":{"type":"string"},"is_compatible":{"type":"boolean"}}}}},"paths":{"/api/v1/explain":{"post":{"tags":["Fix Plan"],"summary":"Request fix plan","description":"Requests a fix plan for a given SBOM. The client should poll this endpoint\nuntil meta_data.overall_status becomes \"available\".\n","operationId":"fixPlanRequest","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FixPlanRequest"}}}},"responses":{"200":{"description":"Fix plan response returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FixPlanResponse"}}}},"401":{"description":"Unauthorized"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veedna.com/gold-open-source-gos/gold-catalog/oss-packages/ai-remediate/fix-plan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
